| Earth Observation Mission CFI Software DataHandling Software User Manual |

Public Member Functions | Public Attributes

# EECFI::StfFile Class Reference

Class for reading/writing Swath Template Files. More...

Inheritance diagram for EECFI::StfFile:

List of all members.

## Public Member Functions
| StfFile ()
| Empty constructor.
| StfFile (const string fileNam)
| Constructor file name.
| StfFile (const StfFile &stfFile)
| Copy constructor.
| ~StfFile ()
| Destructor.
void | read () throw (CfiError)
| Read the whole file data block.
void | readVhr () throw (CfiError)
| Read the STF variable header.
void | write (string fileName, FixedHeader &fixedHead, StfVhr &stfVhr, vector< StfRec > &stfData) throw (CfiError)
| Write STF file with a given name.
void | write (FixedHeader &fixedHead, StfVhr &stfVhr, vector< StfRec > &stfData) throw (CfiError)
| Write STF file with the file name stored in the object.
void | operator= (const StfFile &stfFile)
| Operator=.
## Public Attributes
vector< StfRec > | stfRec
| Vector of swath points.
StfVhr * | vhr
| Variable header data.

## Detailed Description

Class for reading/writing Swath Template Files.

## Constructor & Destructor Documentation

EECFI::StfFile::StfFile | ( |  | ) |

Empty constructor.

References EECFI::EEFile::fileType, and vhr.

EECFI::StfFile::StfFile | ( | const string | fileNam | ) |

Constructor file name.

References vhr.

EECFI::StfFile::StfFile | ( | const StfFile & | stfFile | ) |

Copy constructor.

Parameters:

  | stfFile | Object to be copied.

References EECFI::EEFile::fixedHeader, and vhr.

EECFI::StfFile::~StfFile | ( |  | ) |

Destructor.

## Member Function Documentation

void EECFI::StfFile::operator= | ( | const StfFile & | stfFile | ) |

Operator=.

Parameters:

  | stfFile | Object to be copied.

References EECFI::EEFile::fileName, EECFI::EEFile::fileType, EECFI::EEFile::fixedHeader, stfRec, EECFI::CfiClass::throwWarn, and vhr.

void EECFI::StfFile::read | ( |  | ) | throw (CfiError)

Read the whole file data block.

References EECFI::EEFile::fileName, stfRec, EECFI::CfiClass::throwWarn, and vhr.

void EECFI::StfFile::readVhr | ( |  | ) | throw (CfiError)

Read the STF variable header.

References EECFI::EEFile::fileName, EECFI::CfiClass::throwWarn, and vhr.

void EECFI::StfFile::write | ( | string | fileNam,
|  | FixedHeader & | fixedHead,
|  | StfVhr & | stfVhr,
|  | vector< StfRec > & | stfData |
| ) |  |  | throw (CfiError)

Write STF file with a given name.

Parameters:

  | fileNam | Name of the file to write.
  | fixedHead | Values of the fixed header.
  | stfVhr | STF variable header values.
  | stfData | Vector of swath points.

void EECFI::StfFile::write | ( | FixedHeader & | fixedHead,
|  | StfVhr & | stfVhr,
|  | vector< StfRec > & | stfData |
| ) |  |  | throw (CfiError)

Write STF file with the file name stored in the object.

Parameters:

  | fixedHead | Values of the fixed header.
  | stfVhr | STF variable header values.
  | stfData | Vector of swath points.

## Member Data Documentation

vector<StfRec> EECFI::StfFile::stfRec

Vector of swath points.

Referenced by operator=(), and read().

StfVhr* EECFI::StfFile::vhr

Variable header data.

Referenced by operator=(), read(), readVhr(), and StfFile().